de.caff.util.settings.swing

## Class SwingNumberProperty

- java.lang.Object
- - de.caff.util.settings.AbstractBasicChangeableItem
  - - de.caff.util.settings.AbstractBasicLocalizableChangeableItem
    - - de.caff.util.settings.swing.AbstractBasicSimpleEditableChangeableItem
      - - de.caff.util.settings.swing.SwingNumberProperty

- All Implemented Interfaces:
    ChangeableItem, EditableProperty, java.io.Serializable
  Direct Known Subclasses:
    SwingDoubleProperty, SwingIntegerProperty, SwingLongPreferenceProperty

      public abstract class SwingNumberProperty
      extends AbstractBasicSimpleEditableChangeableItem

  Basic editable property for numbers.
  Author:
    Rammi
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwingNumberProperty(java.lang.String basicName, java.lang.String baseTag, boolean autoSave)` Create a integer preference property with the given range, step and the given default value.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EditorProvider` | `getEditorProvider(java.util.Locale l)` Get the editor components for editing this preference property.
    `abstract java.lang.Number` | `getMaxValueNumber()` Get the maximal allowed value.
    `abstract java.lang.Number` | `getMinValueNumber()` Get the minimal allowed value.
    `abstract java.lang.Number` | `getStepNumber()` Get the step used in steppers.
    `abstract java.lang.Number` | `getValueNumber()` Get the properties value.
    `abstract void` | `setValueNumber(java.lang.Number value)` Set the property value.

    - ### Methods inherited from class de.caff.util.settings.AbstractBasicLocalizableChangeableItem

      `getBaseTag, getLabelString, getMenuString, getName, getString`

    - ### Methods inherited from class de.caff.util.settings.AbstractBasicChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, firePropertyChange, fireValueChange, fireValueChange, fireValueChange, getBasicName, getPropertyName, removeValueChangeListener, removeValueChangeListenerWeakly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.util.settings.swing.EditableProperty

      `getName`

    - ### Methods inherited from interface de.caff.util.settings.ChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, removeValueChangeListener, removeValueChangeListenerWeakly`

- - ### Constructor Detail

    - #### SwingNumberProperty

          public SwingNumberProperty(@NotNull
                                     java.lang.String basicName,
                                     @NotNull
                                     java.lang.String baseTag,
                                     boolean autoSave)

      Create a integer preference property with the given range, step and the given default value.
      Parameters:
        `basicName` - property name
        `baseTag` - basic i18n tag
        `autoSave` - save changes immediately?

  - ### Method Detail

    - #### getMinValueNumber

          @NotNull
          public abstract java.lang.Number getMinValueNumber()

      Get the minimal allowed value.
      Returns:
        minimal value

    - #### getMaxValueNumber

          @NotNull
          public abstract java.lang.Number getMaxValueNumber()

      Get the maximal allowed value.
      Returns:
        maximal value

    - #### getStepNumber

          @NotNull
          public abstract java.lang.Number getStepNumber()

      Get the step used in steppers.
      Returns:
        step

    - #### getValueNumber

          @NotNull
          public abstract java.lang.Number getValueNumber()

      Get the properties value.
      Returns:
        property value

    - #### setValueNumber

          public abstract void setValueNumber(@NotNull
                                              java.lang.Number value)

      Set the property value.
      Parameters:
        `value` - new value

    - #### getEditorProvider

          @NotNull
          public EditorProvider getEditorProvider(@Nullable
                                                           java.util.Locale l)

      Get the editor components for editing this preference property.
      Parameters:
        `l` - locale used for i18n
      Returns:
        editor components